<template>
   <div>
       <el-form-item label="公告内容：" class="bulletinBoardLabel" :required="true">
       </el-form-item>
       <el-input class="bulletinBoardInput"
          disabled
          v-for="(item,index) in form.noticeList"
          :key="item.key" v-model="item.title"
          :title="item.title"
          placeholder="请选择一个公告"
          size="mini"
        >
          <el-button id="append" v-if="index===form.noticeList.length-1" size="mini" @click="selectedItem" slot="append">选择公告</el-button>
        </el-input>
       <message-selected  :show.sync ='selectedDialog.show' :limiteSelectedNum="6" :title="selectedDialog.title" @hand-selected-row-data="handSelectedRowData">
            <!-- <el-table-column>
                  <template slot-scope="scope">
                    <el-button type="success" @click="choiceItem(scope.row)" size="mini">添加</el-button>
                  </template>
            </el-table-column> -->
       </message-selected>
   </div>
</template>

<script>
import messageSelected from '@/views/diy-form/set-up/components/selectLists/messageSelected.vue'
import { mapMutations } from 'vuex'
export default {
  components: { messageSelected },
  props: ['form'],
  data () {
    return {
      selectedDialog: {
        show: false,
        title: '选择公告'
      }
    }
  },
  methods: {
    ...mapMutations(['updateCurrent']),
    // 选择公告
    handSelectedRowData (row) {
      this.selectedDialog.show = false
      this.updateCurrent({
        noticeList: row

      })
    },
    // 打开选择公告弹出框
    selectedItem () {
      this.selectedDialog.show = true
    }
  }
}
</script>

<style>
#append{
    background-color: #E6A23C;
    color: #fff;
}
.bulletinBoardLabel{
  margin-right: 0 !important;
}
.bulletinBoardInput{
  margin-bottom: 10px;
  margin-right: 10px;
  width: 300px !important;
  display: block;
}
</style>
